from setting import logger

from .handle_event import HandlerEvent
from .handle_paylist import HandlerPaylist
from .handle_user import HandlerUser

HANDLER_DICT = {
    'user': HandlerUser,
    'paylist': HandlerPaylist,
    'event': HandlerEvent,
}


def handle_factory(data):
    type_ = data['type']
    obj = HANDLER_DICT.get(type_)
    if not obj:
        logger.warning(f'未知类型{type_}')
        return
    return obj(data)
